# For developers

## Installation

```
composer require drupal/htmx
```

### Example

In your module or theme add `htmx` as a dependency.

```
# file: your_module.libraries.yml
your_module/library_name:
  version: VERSION
  js:
    js/htmx-example.js: {}
  css:
    theme:
      css/htmx-example.css: {}
  dependencies:
    - htmx/htmx
```

# Maintainers

Update package instructions:

```
cd js
# download latest version of htmx.min.js
wget https://unpkg.com/htmx.org/dist/htmx.min.js -O htmx.min.js

# write version number to VERSION
wget https://unpkg.com/htmx.org/dist/htmx.min.js -O htmx.min.js -o - | grep 'Location:' | awk -F'@' '{print $2}' | awk -F'/' '{print $1}' > VERSION
```
